Page MenuHomePhabricator

Accept and explain publish API errors
Closed, ResolvedPublic

Description

After this topic about spamblacklist and this about titleblacklist on Talk:CX

Sometimes when user try to publish the translated article, blacklists disallow it. So CX print hard coded errors like ⧼titleblacklist-forbidden-apostrophes⧽ and/or {"spamblacklist":"youtube.com","result":"Failure"}", or Error: Bad title without other explanation (ie. |).

CX should print readable error and if it is possible explain what is the problem, and ask to change the title / suppress the problematic link.

{F5242902}

List :

  • invalidtitle : {"error\":{"code":"invalidtitle","info":"Bad title \"tttt'rzzr|rerr(st\".","*":"..."}
  • spamblacklist : {"spamblacklist":"youtube.com","result":"Failure"}"
  • message that is not registered : ⧼titleblacklist-forbidden-apostrophes⧽

Event Timeline

Framawiki created this task.Jan 6 2017, 5:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 6 2017, 5:31 PM
Framawiki updated the task description. (Show Details)Jan 6 2017, 9:48 PM
Framawiki updated the task description. (Show Details)Jan 6 2017, 9:54 PM
Framawiki added a comment.EditedFeb 21 2017, 9:50 PM

The interesting part of js code is here

I'll try to solve this :)

Framawiki renamed this task from Accept and explain spamblacklist & titleblacklist errors to Accept and explain publish API errors.Feb 23 2017, 11:10 PM
Framawiki updated the task description. (Show Details)
Framawiki updated the task description. (Show Details)Feb 24 2017, 2:12 PM
Framawiki removed Framawiki as the assignee of this task.May 16 2017, 7:32 PM
Amire80 moved this task from Needs Triage to Bugs on the ContentTranslation board.Jun 28 2017, 9:05 AM
Arrbee moved this task from Bugs to Check & Move on the ContentTranslation board.Sep 30 2019, 7:49 AM
Petar.petkovic closed this task as Resolved.Nov 11 2019, 9:34 AM
Petar.petkovic claimed this task.
Petar.petkovic added a subscriber: Petar.petkovic.

Content Translation treats some API publish errors specifically, like:

  • spamblacklist
  • abusefilter
  • invalidtitle
  • badtoken
  • assertuserfailed
  • titleblacklist-forbidden
  • readonly